# Set project member list

Sets the project's entire member list, replacing any existing member list.

> Warning: This operation replaces the member list. If you leave off a user who's a current member, that user is REMOVED from the project.

If a specified user is already a member of the project, that user's membership is changed to the membership level.

If the user wasn't previously a member of the project, the user is added with the specified membership level.

Endpoint: POST /projects/{project_id}/project_members
Version: v1
Security: AuthToken

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

## Path parameters:

  - `project_id` (integer, required)
    Unique identifier of the parent project instance.
    Example: 1234567

## Request fields (application/json):

  - `relationships` (array)
    An array of user ID and membership level pairs (tuples).

## Response 200 fields (application/json):

  - `paging` (object, required)

  - `paging.per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `paging.page` (integer)
    The current response page number.
    Example: 1

  - `paging.previous` (string,null)
    If you're on the first page, this value is null; otherwise the value is the path and query parameters to get the previous page of items.
    Example: "/api/v1/users?per_page=1000&page=1"

  - `paging.self` (string)
    The path and query parameters to get the current page of items.
    Example: "/api/v1/users?per_page=1000&page=2"

  - `paging.next` (string,null)
    If there are more items, this value is the path and query parameters to get the next page of items; otherwise, it's null.
    Example: "/api/v1/users?per_page=1000&page=3"

  - `paging.count` (integer,null)
    The total number of items in all the pages.

  - `data` (array, required)

  - `data.id` (integer)
    A unique identifier for the user.
    Example: 1234567

  - `data.uid` (string)
    A unique identifier for the user's project membership.
    Example: "user-1234567"

  - `data.name` (string)
    The user's first and last name.
    Example: "Jane Doe"

  - `data.license_type` (string)
    The user's license type.
    Enum: "licensed"


